Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2219977 - F39FailsToInstall: python3-dnf-plugin-kickstart, python3-dnf-plugin-rpmconf, python3-dnf-plugin-showvars, python3-dnf-plugin-snapper, python3-dnf-plugin-torproxy, python3-dnf-plugin-tracer, python3-dnf-plugins-extras-common
Summary: F39FailsToInstall: python3-dnf-plugin-kickstart, python3-dnf-plugin-rpmconf, ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugins-extras
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/bui...
Whiteboard:
Depends On: 2216113
Blocks: F39FTBFS F39FailsToInstall PYTHON3.12 F39BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2023-07-05 19:03 UTC by Fedora Fails To Install
Modified: 2023-07-08 12:12 UTC (History)
10 users (show)

Fixed In Version: dnf-plugins-extras-4.1.0-2.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-07-08 12:12:55 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github rpm-software-management dnf-plugins-extras pull 215 0 None open Adapt rpmconf tests to RPM 4.19 without rpm.fi 2023-07-07 11:54:07 UTC

Description Fedora Fails To Install 2023-07-05 19:03:35 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

Your package (dnf-plugins-extras) Fails To Install in Fedora 39:

can't install python3-dnf-plugin-kickstart:
  - nothing provides python(abi) = 3.11 needed by python3-dnf-plugin-kickstart-4.1.0-1.fc39.noarch
  
can't install python3-dnf-plugin-rpmconf:
  - nothing provides python(abi) = 3.11 needed by python3-dnf-plugin-rpmconf-4.1.0-1.fc39.noarch
  
can't install python3-dnf-plugin-showvars:
  - nothing provides python(abi) = 3.11 needed by python3-dnf-plugin-showvars-4.1.0-1.fc39.noarch
  
can't install python3-dnf-plugin-snapper:
  - nothing provides python(abi) = 3.11 needed by python3-dnf-plugin-snapper-4.1.0-1.fc39.noarch
  
can't install python3-dnf-plugin-torproxy:
  - nothing provides python(abi) = 3.11 needed by python3-dnf-plugin-torproxy-4.1.0-1.fc39.noarch
  
can't install python3-dnf-plugin-tracer:
  - nothing provides python(abi) = 3.11 needed by python3-dnf-plugin-tracer-4.1.0-1.fc39.noarch
  
can't install python3-dnf-plugins-extras-common:
  - nothing provides python(abi) = 3.11 needed by python3-dnf-plugins-extras-common-4.1.0-1.fc39.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-39-x86_64 --config-opts mirrored=False install python3-dnf-plugin-kickstart python3-dnf-plugin-rpmconf python3-dnf-plugin-showvars python3-dnf-plugin-snapper python3-dnf-plugin-torproxy python3-dnf-plugin-tracer python3-dnf-plugins-extras-common


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Miro Hrončok 2023-07-06 07:48:52 UTC
This blocks the cloud images compose. The package failed to build with:

+ /usr/bin/pytest
============================= test session starts ==============================
platform linux -- Python 3.12.0b3, pytest-7.3.2, pluggy-1.0.0
rootdir: /builddir/build/BUILD/dnf-plugins-extras-4.1.0
collected 10 items / 1 error
==================================== ERRORS ====================================
____________________ ERROR collecting tests/test_rpmconf.py ____________________
tests/test_rpmconf.py:33: in <module>
    import rpm_conf
plugins/rpm_conf.py:23: in <module>
    from rpmconf import rpmconf
/usr/lib/python3.12/site-packages/rpmconf/rpmconf.py:47: in <module>
    rpm.setInterruptSafety(False)
E   AttributeError: module 'rpm' has no attribute 'setInterruptSafety'
=========================== short test summary info ============================
ERROR tests/test_rpmconf.py - AttributeError: module 'rpm' has no attribute '...
!!!!!!!!!!!!!!!!!!!! Interrupted: 1 error during collection !!!!!!!!!!!!!!!!!!!!
=============================== 1 error in 0.37s ===============================

https://koji.fedoraproject.org/koji/buildinfo?buildID=2215882
https://koji.fedoraproject.org/koji/taskinfo?taskID=102855321

Comment 2 Petr Pisar 2023-07-07 09:20:09 UTC
This breaks Fedora CI (fedora-ci.koji-build.tier0.functional, an example <https://artifacts.dev.testing-farm.io/36fe9f1d-2322-4a4c-9f3f-5b43b32493e9/>).

Comment 3 Petr Pisar 2023-07-07 09:23:54 UTC
Koschei reports a failure since upgrading rpm from 4.18.1-3.fc39 to 4.18.90-8.fc39 <https://koschei.fedoraproject.org/build/15548052>.

Comment 4 Miro Hrončok 2023-07-07 09:28:47 UTC
Yes, this is an RPM 4.19 thing, see bz2216113.

Comment 5 Petr Pisar 2023-07-07 11:54:07 UTC
Your right. I proposed a complete fix at rpmconf upstream. Once it is applied in Fedora, dnf-plugins-extras needs to adapt because its tests mock rpmconf internals. A proposed fix, which depends on the rpmconf fix, at <https://github.com/rpm-software-management/dnf-plugins-extras/pull/215>.

Comment 6 Fedora Update System 2023-07-08 12:10:29 UTC
FEDORA-2023-f835cd2ab1 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-f835cd2ab1

Comment 7 Fedora Update System 2023-07-08 12:12:55 UTC
FEDORA-2023-f835cd2ab1 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.